! UIMX ascii 2.5 key: 2937                                                      

*imageStorageAccess.class: form
*imageStorageAccess.gbldecl: #include <stdio.h>\
\
#include "dicom.h"\
#include "condition.h"\
#include "lst.h"\
#include "tbl.h"\
#include "manage.h"\
#include "mut.h"\
\
#include "format.h"\
\
static LST_HEAD *storageAccessList = NULL;\
extern DMAN_HANDLE *dmanHandle;\
void loadImageStorageAccessList();\
static CONDITION readStorageAccess(DMAN_STORAGEACCESS *s);\
static void displayStorageAccess(DMAN_STORAGEACCESS *s);\

*imageStorageAccess.ispecdecl:
*imageStorageAccess.funcdecl: swidget create_imageStorageAccess(swidget UxParent)
*imageStorageAccess.funcname: create_imageStorageAccess
*imageStorageAccess.funcdef: "swidget", "<create_imageStorageAccess>(%)"
*imageStorageAccess.argdecl: swidget UxParent;
*imageStorageAccess.arglist: UxParent
*imageStorageAccess.arglist.UxParent: "swidget", "%UxParent%"
*imageStorageAccess.icode:
*imageStorageAccess.fcode: return(rtrn);\

*imageStorageAccess.auxdecl: void loadImageStorageAccessList()\
{\
  CONDITION cond;\
  DMAN_STORAGEACCESS s, criteria;\
  char buf[120];\
\
    if (storageAccessList == NULL)\
	storageAccessList = LST_Create();\
\
    if (storageAccessList == NULL)\
	return;\
\
    memset(&s, 0, sizeof(s));\
    memset(&criteria, 0, sizeof(criteria));\
    s.Type = DMAN_K_STORAGEACCESS;\
    criteria.Type = DMAN_K_STORAGEACCESS;\
\
    cond = DMAN_Select(&dmanHandle, (DMAN_GENERICRECORD *)&s,\
	(DMAN_GENERICRECORD *)&criteria,\
	storageAccessList, NULL, NULL, NULL);\
    if (cond != DMAN_NORMAL) {\
	COND_DumpConditions();\
	return;\
    }\
\
    MUT_LoadList(wStorageAccessList, storageAccessList,\
	formatStorageAccess, buf);\
}\
\
static CONDITION readStorageAcess(DMAN_STORAGEACCESS *s)\
{\
  CONDITION cond;\
  BOOLEAN nullFlag;\
\
    memset(s, 0, sizeof(*s));\
    s->Type = DMAN_K_STORAGEACCESS;\
    s->Flag = 0;\
    cond = MUT_ScanWidget(wApplicationTitleTxt, MUT_TEXT, &nullFlag, s->Title);\
    if (cond != MUT_NORMAL || nullFlag)\
	return 0;\
    s->Flag |= DMAN_K_STORAGEACCESS_TITLE;\
\
    cond = MUT_ScanWidget(wDatabaseKeyTxt, MUT_TEXT, &nullFlag, s->DbKey);\
    if (cond != MUT_NORMAL || nullFlag) {\
	return 0;\
    }\
    s->Flag |= DMAN_K_STORAGEACCESS_DBKEY;\
\
    cond = MUT_ScanWidget(wOwnerTxt, MUT_TEXT, &nullFlag, s->Owner);\
    if (cond != MUT_NORMAL) {\
	return 0;\
    }\
    if (!nullFlag)\
	s->Flag |= DMAN_K_STORAGEACCESS_OWNER;\
\
    cond = MUT_ScanWidget(wGroupNameTxt, MUT_TEXT, &nullFlag, s->GroupName);\
    if (cond != MUT_NORMAL) {\
	return 0;\
    }\
    if (!nullFlag)\
	s->Flag |= DMAN_K_STORAGEACCESS_GROUPNAME;\
\
    s->Access = 0xffffff;\
    s->Flag |= DMAN_K_STORAGEACCESS_ACCESS;\
\
    cond = MUT_ScanWidget(wCommentTxt, MUT_TEXT, &nullFlag, s->Comment);\
    if (cond != MUT_NORMAL) {\
	return 0;\
    }\
    if (!nullFlag)\
	s->Flag |= DMAN_K_STORAGEACCESS_COMMENT;\
\
    return 1;\
}\
\
static void displayStorageAccess(DMAN_STORAGEACCESS *s)\
{\
    if (s == NULL)\
	return;\
\
    if (s->Flag & DMAN_K_STORAGEACCESS_TITLE)\
	XmTextSetString(wApplicationTitleTxt, s->Title);\
    else\
	XmTextSetString(wApplicationTitleTxt, "");\
\
    if (s->Flag & DMAN_K_STORAGEACCESS_DBKEY)\
	XmTextSetString(wDatabaseKeyTxt, s->DbKey);\
    else\
	XmTextSetString(wDatabaseKeyTxt, "");\
\
    if (s->Flag & DMAN_K_STORAGEACCESS_OWNER)\
	XmTextSetString(wOwnerTxt, s->Owner);\
    else\
	XmTextSetString(wOwnerTxt, "");\
\
    if (s->Flag & DMAN_K_STORAGEACCESS_GROUPNAME)\
	XmTextSetString(wGroupNameTxt, s->GroupName);\
    else\
	XmTextSetString(wGroupNameTxt, "");\
\
    if (s->Flag & DMAN_K_STORAGEACCESS_COMMENT)\
	XmTextSetString(wCommentTxt, s->Comment);\
    else\
	XmTextSetString(wCommentTxt, "");\
}\

*imageStorageAccess.static: true
*imageStorageAccess.name: imageStorageAccess
*imageStorageAccess.width: 940
*imageStorageAccess.height: 647
*imageStorageAccess.resizePolicy: "resize_none"
*imageStorageAccess.isCompound: "true"
*imageStorageAccess.compoundIcon: "form.xpm"
*imageStorageAccess.compoundName: "form_"
*imageStorageAccess.parent: NO_PARENT
*imageStorageAccess.parentExpression: UxParent
*imageStorageAccess.defaultShell: topLevelShell
*imageStorageAccess.x: 245
*imageStorageAccess.y: 93
*imageStorageAccess.unitType: "pixels"

*frame5.class: frame
*frame5.static: true
*frame5.name: frame5
*frame5.width: 890
*frame5.height: 170
*frame5.isCompound: "true"
*frame5.compoundIcon: "frame.xpm"
*frame5.compoundName: "frame_"
*frame5.parent: imageStorageAccess
*frame5.x: 30
*frame5.y: 10
*frame5.resizable: "false"
*frame5.resizeRecursion: "up"

*scrolledWindowList7.class: scrolledWindow
*scrolledWindowList7.static: true
*scrolledWindowList7.name: scrolledWindowList7
*scrolledWindowList7.scrollingPolicy: "application_defined"
*scrolledWindowList7.visualPolicy: "variable"
*scrolledWindowList7.scrollBarDisplayPolicy: "static"
*scrolledWindowList7.shadowThickness: 0
*scrolledWindowList7.isCompound: "true"
*scrolledWindowList7.compoundIcon: "scrllist.xpm"
*scrolledWindowList7.compoundName: "scrolled_List"
*scrolledWindowList7.parent: frame5
*scrolledWindowList7.x: 130
*scrolledWindowList7.y: 10

*wStorageAccessList.class: scrolledList
*wStorageAccessList.static: true
*wStorageAccessList.name: wStorageAccessList
*wStorageAccessList.width: 340
*wStorageAccessList.height: 140
*wStorageAccessList.parent: scrolledWindowList7

*label16.class: label
*label16.static: true
*label16.name: label16
*label16.isCompound: "true"
*label16.compoundIcon: "label.xpm"
*label16.compoundName: "label_"
*label16.parent: imageStorageAccess
*label16.x: 50
*label16.y: 220
*label16.width: 250
*label16.height: 40
*label16.labelString: "Application Title (CTN)"

*label17.class: label
*label17.static: true
*label17.name: label17
*label17.isCompound: "true"
*label17.compoundIcon: "label.xpm"
*label17.compoundName: "label_"
*label17.x: 50
*label17.y: 280
*label17.width: 250
*label17.height: 40
*label17.parent: imageStorageAccess
*label17.leftAttachment: "attach_opposite_widget"
*label17.leftOffset: 0
*label17.leftWidget: "label16"
*label17.topAttachment: "attach_widget"
*label17.topOffset: 5
*label17.topWidget: "label16"
*label17.labelString: "Database Key (Name)"

*label18.class: label
*label18.static: true
*label18.name: label18
*label18.isCompound: "true"
*label18.compoundIcon: "label.xpm"
*label18.compoundName: "label_"
*label18.x: 50
*label18.y: 330
*label18.width: 250
*label18.height: 40
*label18.parent: imageStorageAccess
*label18.leftAttachment: "attach_opposite_widget"
*label18.leftOffset: 0
*label18.leftWidget: "label16"
*label18.topAttachment: "attach_widget"
*label18.topOffset: 5
*label18.topWidget: "label17"
*label18.labelString: "Owner (AE Title - optional)"

*label19.class: label
*label19.static: true
*label19.name: label19
*label19.isCompound: "true"
*label19.compoundIcon: "label.xpm"
*label19.compoundName: "label_"
*label19.x: 50
*label19.y: 380
*label19.width: 250
*label19.height: 40
*label19.parent: imageStorageAccess
*label19.leftAttachment: "attach_opposite_widget"
*label19.leftOffset: 0
*label19.leftWidget: "label16"
*label19.topAttachment: "attach_widget"
*label19.topOffset: 5
*label19.topWidget: "label18"
*label19.labelString: "Group Name (optional)"

*label20.class: label
*label20.static: true
*label20.name: label20
*label20.isCompound: "true"
*label20.compoundIcon: "label.xpm"
*label20.compoundName: "label_"
*label20.x: 50
*label20.y: 450
*label20.width: 250
*label20.height: 40
*label20.parent: imageStorageAccess
*label20.topAttachment: "attach_widget"
*label20.topOffset: 30
*label20.topWidget: "label19"
*label20.leftAttachment: "attach_opposite_widget"
*label20.leftOffset: 0
*label20.leftWidget: "label16"
*label20.labelString: "Access"

*label21.class: label
*label21.static: true
*label21.name: label21
*label21.isCompound: "true"
*label21.compoundIcon: "label.xpm"
*label21.compoundName: "label_"
*label21.x: 50
*label21.y: 530
*label21.width: 250
*label21.height: 40
*label21.parent: imageStorageAccess
*label21.leftAttachment: "attach_opposite_widget"
*label21.leftOffset: 0
*label21.leftWidget: "label16"
*label21.topAttachment: "attach_widget"
*label21.topOffset: 35
*label21.topWidget: "label20"
*label21.labelString: "Comment"

*wApplicationTitleTxt.class: textField
*wApplicationTitleTxt.static: true
*wApplicationTitleTxt.name: wApplicationTitleTxt
*wApplicationTitleTxt.width: 390
*wApplicationTitleTxt.isCompound: "true"
*wApplicationTitleTxt.compoundIcon: "textfield.xpm"
*wApplicationTitleTxt.compoundName: "text_Field"
*wApplicationTitleTxt.parent: imageStorageAccess
*wApplicationTitleTxt.x: 400
*wApplicationTitleTxt.y: 210
*wApplicationTitleTxt.height: 40
*wApplicationTitleTxt.leftAttachment: "attach_widget"
*wApplicationTitleTxt.leftOffset: 15
*wApplicationTitleTxt.leftWidget: "label16"
*wApplicationTitleTxt.topAttachment: "attach_opposite_widget"
*wApplicationTitleTxt.topOffset: 0
*wApplicationTitleTxt.topWidget: "label16"

*wDatabaseKeyTxt.class: textField
*wDatabaseKeyTxt.static: true
*wDatabaseKeyTxt.name: wDatabaseKeyTxt
*wDatabaseKeyTxt.width: 390
*wDatabaseKeyTxt.isCompound: "true"
*wDatabaseKeyTxt.compoundIcon: "textfield.xpm"
*wDatabaseKeyTxt.compoundName: "text_Field"
*wDatabaseKeyTxt.x: 400
*wDatabaseKeyTxt.y: 250
*wDatabaseKeyTxt.height: 40
*wDatabaseKeyTxt.parent: imageStorageAccess
*wDatabaseKeyTxt.leftAttachment: "attach_widget"
*wDatabaseKeyTxt.leftOffset: 15
*wDatabaseKeyTxt.leftWidget: "label16"
*wDatabaseKeyTxt.topAttachment: "attach_opposite_widget"
*wDatabaseKeyTxt.topOffset: 0
*wDatabaseKeyTxt.topWidget: "label17"

*wOwnerTxt.class: textField
*wOwnerTxt.static: true
*wOwnerTxt.name: wOwnerTxt
*wOwnerTxt.width: 390
*wOwnerTxt.isCompound: "true"
*wOwnerTxt.compoundIcon: "textfield.xpm"
*wOwnerTxt.compoundName: "text_Field"
*wOwnerTxt.x: 400
*wOwnerTxt.y: 290
*wOwnerTxt.height: 40
*wOwnerTxt.parent: imageStorageAccess
*wOwnerTxt.leftAttachment: "attach_widget"
*wOwnerTxt.leftOffset: 15
*wOwnerTxt.leftWidget: "label16"
*wOwnerTxt.topAttachment: "attach_opposite_widget"
*wOwnerTxt.topOffset: 0
*wOwnerTxt.topWidget: "label18"

*wGroupNameTxt.class: textField
*wGroupNameTxt.static: true
*wGroupNameTxt.name: wGroupNameTxt
*wGroupNameTxt.width: 390
*wGroupNameTxt.isCompound: "true"
*wGroupNameTxt.compoundIcon: "textfield.xpm"
*wGroupNameTxt.compoundName: "text_Field"
*wGroupNameTxt.x: 400
*wGroupNameTxt.y: 340
*wGroupNameTxt.height: 40
*wGroupNameTxt.parent: imageStorageAccess
*wGroupNameTxt.leftAttachment: "attach_widget"
*wGroupNameTxt.leftOffset: 15
*wGroupNameTxt.leftWidget: "label16"
*wGroupNameTxt.topAttachment: "attach_opposite_widget"
*wGroupNameTxt.topOffset: 0
*wGroupNameTxt.topWidget: "label19"

*wCommentTxt.class: textField
*wCommentTxt.static: true
*wCommentTxt.name: wCommentTxt
*wCommentTxt.width: 390
*wCommentTxt.isCompound: "true"
*wCommentTxt.compoundIcon: "textfield.xpm"
*wCommentTxt.compoundName: "text_Field"
*wCommentTxt.x: 400
*wCommentTxt.y: 480
*wCommentTxt.height: 40
*wCommentTxt.parent: imageStorageAccess
*wCommentTxt.leftAttachment: "attach_widget"
*wCommentTxt.leftOffset: 15
*wCommentTxt.leftWidget: "label16"
*wCommentTxt.topAttachment: "attach_opposite_widget"
*wCommentTxt.topOffset: 0
*wCommentTxt.topWidget: "label21"

*frame6.class: frame
*frame6.static: true
*frame6.name: frame6
*frame6.width: 370
*frame6.height: 100
*frame6.isCompound: "true"
*frame6.compoundIcon: "frame.xpm"
*frame6.compoundName: "frame_"
*frame6.parent: imageStorageAccess
*frame6.x: 330
*frame6.y: 430
*frame6.leftAttachment: "attach_widget"
*frame6.leftOffset: 15
*frame6.leftWidget: "label16"
*frame6.topAttachment: "attach_opposite_widget"
*frame6.topOffset: -30
*frame6.topWidget: "label20"

*pushButton15.class: pushButton
*pushButton15.static: true
*pushButton15.name: pushButton15
*pushButton15.parent: imageStorageAccess
*pushButton15.x: 100
*pushButton15.y: 580
*pushButton15.width: 180
*pushButton15.height: 50
*pushButton15.labelString: "Add"

*pushButton16.class: pushButton
*pushButton16.static: true
*pushButton16.name: pushButton16
*pushButton16.x: 400
*pushButton16.y: 580
*pushButton16.width: 180
*pushButton16.height: 50
*pushButton16.parent: imageStorageAccess
*pushButton16.labelString: "Update"
*pushButton16.sensitive: "false"

*pushButton17.class: pushButton
*pushButton17.static: true
*pushButton17.name: pushButton17
*pushButton17.x: 700
*pushButton17.y: 580
*pushButton17.width: 180
*pushButton17.height: 50
*pushButton17.parent: imageStorageAccess
*pushButton17.labelString: "Delete"

